Bio Radio SDK - Xamarin Android: GLNeuroTech.Devices.Common.MockDeviceSearchUtility Class Reference

| Bio Radio SDK - Xamarin Android

Public Member Functions | Events | List of all members
GLNeuroTech.Devices.Common.MockDeviceSearchUtility Class Reference

Mock Device Search Utility Class. More...

Inheritance diagram for GLNeuroTech.Devices.Common.MockDeviceSearchUtility:

## Public Member Functions

| MockDeviceSearchUtility (string prefix)
| Mock device search utility constructor. More...
void | StartDeviceScan ()
| Start device scan. More...
void | StopDeviceScan ()
| Stop device scan. More...
System.Collections.Generic.List< BluetoothDeviceInfo > | FindBluetoothDevices ()
| Find blue tooth devices. More...
List< BluetoothDeviceInfo > | FindPairedBluetoothDevices ()
| Find already paired blue tooth devices. More...

## Events

EventHandler< DeviceFoundEventArgs > | DeviceFoundEvent
| Event handler - device found event. More...
Events inherited from GLNeuroTech.Devices.Common.IDeviceSearchUtility
EventHandler< DeviceFoundEventArgs > | DeviceFoundEvent
| Event raised when a device has been found after calling StartDeviceScan More...

## Detailed Description

Mock Device Search Utility Class.

## Constructor & Destructor Documentation

## ◆ MockDeviceSearchUtility()

GLNeuroTech.Devices.Common.MockDeviceSearchUtility.MockDeviceSearchUtility | ( | string | prefix | ) |

Mock device search utility constructor.

Parameters

  prefix | Take a prefix string as parameter.

## Member Function Documentation

## ◆ FindBluetoothDevices()

System.Collections.Generic.List<BluetoothDeviceInfo> GLNeuroTech.Devices.Common.MockDeviceSearchUtility.FindBluetoothDevices | ( |  | ) |

Find blue tooth devices.

Returns
  Return a list of blue tooth devices.

Implements GLNeuroTech.Devices.Common.IDeviceSearchUtility.

## ◆ FindPairedBluetoothDevices()

List<BluetoothDeviceInfo> GLNeuroTech.Devices.Common.MockDeviceSearchUtility.FindPairedBluetoothDevices | ( |  | ) |

Find already paired blue tooth devices.

Returns
  Return a list of blue tooth devices already paired.

Implements GLNeuroTech.Devices.Common.IDeviceSearchUtility.

## ◆ StartDeviceScan()

void GLNeuroTech.Devices.Common.MockDeviceSearchUtility.StartDeviceScan | ( |  | ) |

Start device scan.

Implements GLNeuroTech.Devices.Common.IDeviceSearchUtility.

## ◆ StopDeviceScan()

void GLNeuroTech.Devices.Common.MockDeviceSearchUtility.StopDeviceScan | ( |  | ) |

Stop device scan.

Implements GLNeuroTech.Devices.Common.IDeviceSearchUtility.

## Event Documentation

## ◆ DeviceFoundEvent

EventHandler<DeviceFoundEventArgs> GLNeuroTech.Devices.Common.MockDeviceSearchUtility.DeviceFoundEvent

Event handler - device found event.